# Quotes

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Quotes in the platform.**

## Queries

### Query Quotes

[fetch SDL for query quotes](#graphql-partial-sdls).

### Get Quote

[fetch SDL for query quote](#graphql-partial-sdls).

## Mutations

### Create Quote

[fetch SDL for mutation createQuote](#graphql-partial-sdls).

### Update Quote

[fetch SDL for mutation updateQuote](#graphql-partial-sdls).

### Delete Quote

[fetch SDL for mutation deleteQuote](#graphql-partial-sdls).

## Output types

### Quote

[fetch SDL for type Quote](#graphql-partial-sdls).

### QuoteQueryResult

[fetch SDL for type QuoteQueryResult](#graphql-partial-sdls).

## Input types

### QuoteDraft

[fetch SDL for type QuoteDraft](#graphql-partial-sdls).

### QuoteUpdateAction

[fetch SDL for type QuoteUpdateAction](#graphql-partial-sdls).

### Update actions

#### General

##### Change Customer

[fetch SDL for type ChangeQuoteCustomer](#graphql-partial-sdls).

##### Request Quote Renegotiation

[fetch SDL for type RequestQuoteRenegotiation](#graphql-partial-sdls).

#### State

##### Change Quote State

[fetch SDL for type ChangeQuoteState](#graphql-partial-sdls).

##### Transition State

[fetch SDL for type TransitionQuoteState](#graphql-partial-sdls).

#### Custom Fields

##### Set Custom Type

[fetch SDL for type SetQuoteCustomType](#graphql-partial-sdls).

##### Set Custom Field

[fetch SDL for type SetQuoteCustomField](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)